com.google.appengine.tools.development

## Class DevAppServerMain

- java.lang.Object
- - com.google.appengine.tools.development.SharedMain
  - - com.google.appengine.tools.development.DevAppServerMain

-     public class DevAppServerMain
      extends com.google.appengine.tools.development.SharedMain

  The command-line entry point for DevAppServer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GENERATE_WAR_ARG`
    `static java.lang.String` | `GENERATED_WAR_DIR_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DevAppServerMain()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `printHelp(java.io.PrintStream out)`
    `static void` | `recursiveDelete(java.io.File dead)` Recursive directory deletion.
    `void` | `run(java.lang.String[] args)`

    - ### Methods inherited from class com.google.appengine.tools.development.SharedMain

      `validateWarPath`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GENERATE_WAR_ARG

          public static final java.lang.String GENERATE_WAR_ARG

      See Also:
        Constant Field Values

    - #### GENERATED_WAR_DIR_ARG

          public static final java.lang.String GENERATED_WAR_DIR_ARG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DevAppServerMain

          public DevAppServerMain()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### printHelp

          public void printHelp(java.io.PrintStream out)

      Specified by:
        `printHelp` in class `com.google.appengine.tools.development.SharedMain`

    - #### recursiveDelete

          public static void recursiveDelete(java.io.File dead)

      Recursive directory deletion.